Package org.eclipse.rdf4j.model

## Class ModelNamespacesTest

- java.lang.Object
- - org.eclipse.rdf4j.model.ModelNamespacesTest

-     public abstract class ModelNamespacesTest
      extends Object

  An abstract test class to test the handling of namespaces by `Model` implementations.
  Author:
    Peter Ansell p_ansell@yahoo.com

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModelNamespacesTest()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract Model` | `getModelImplementation()` | Implementing tests must return a new, empty, Model for each call to this method.
    `void` | `setUp()` |
    `void` | `tearDown()` |
    `void` | `testGetNamespaceEmpty()` | Test method for `NamespaceAware.getNamespace(java.lang.String)`.
    `void` | `testGetNamespaceMultiple()` | Test method for `NamespaceAware.getNamespace(java.lang.String)`.
    `void` | `testGetNamespacesEmpty()` | Test method for `NamespaceAware.getNamespaces()`.
    `void` | `testGetNamespaceSingle()` | Test method for `NamespaceAware.getNamespace(java.lang.String)`.
    `void` | `testGetNamespacesMultiple()` | Test method for `NamespaceAware.getNamespaces()`.
    `void` | `testGetNamespacesSingle()` | Test method for `NamespaceAware.getNamespaces()`.
    `void` | `testRemoveNamespaceEmpty()` | Test method for `Model.removeNamespace(java.lang.String)`.
    `void` | `testRemoveNamespaceMultiple()` | Test method for `Model.removeNamespace(java.lang.String)`.
    `void` | `testRemoveNamespaceSingle()` | Test method for `Model.removeNamespace(java.lang.String)`.
    `void` | `testSetNamespaceNamespace()` | Test method for `Model.setNamespace(org.eclipse.rdf4j.model.Namespace)`.
    `void` | `testSetNamespaceNamespaceSamePrefix()` | Test method for `Model.setNamespace(org.eclipse.rdf4j.model.Namespace)`.
    `void` | `testSetNamespaceSamePrefix()` | Test method for `Model.setNamespace(java.lang.String, java.lang.String)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelNamespacesTest

          public ModelNamespacesTest()

  - ### Method Detail

    - #### getModelImplementation

          protected abstract Model getModelImplementation()

      Implementing tests must return a new, empty, Model for each call to this method.
      Returns:
        A new empty implementation of `Model` that implements the namespace related methods, `NamespaceAware.getNamespace(String)`, `NamespaceAware.getNamespaces()`, `Model.setNamespace(Namespace)`, `Model.setNamespace(String, String)`, and `Model.removeNamespace(String)`.

    - #### setUp

          @BeforeEach
          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          @AfterEach
          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### testGetNamespacesEmpty

          @Test
          public final void testGetNamespacesEmpty()

      Test method for `NamespaceAware.getNamespaces()`.

    - #### testGetNamespacesSingle

          @Test
          public final void testGetNamespacesSingle()

      Test method for `NamespaceAware.getNamespaces()`.

    - #### testGetNamespacesMultiple

          @Test
          public final void testGetNamespacesMultiple()

      Test method for `NamespaceAware.getNamespaces()`.

    - #### testGetNamespaceEmpty

          @Test
          public final void testGetNamespaceEmpty()

      Test method for `NamespaceAware.getNamespace(java.lang.String)`.

    - #### testGetNamespaceSingle

          @Test
          public final void testGetNamespaceSingle()

      Test method for `NamespaceAware.getNamespace(java.lang.String)`.

    - #### testGetNamespaceMultiple

          @Test
          public final void testGetNamespaceMultiple()

      Test method for `NamespaceAware.getNamespace(java.lang.String)`.

    - #### testSetNamespaceSamePrefix

          @Test
          public final void testSetNamespaceSamePrefix()

      Test method for `Model.setNamespace(java.lang.String, java.lang.String)`.

    - #### testSetNamespaceNamespace

          @Test
          public final void testSetNamespaceNamespace()

      Test method for `Model.setNamespace(org.eclipse.rdf4j.model.Namespace)`.

    - #### testSetNamespaceNamespaceSamePrefix

          @Test
          public final void testSetNamespaceNamespaceSamePrefix()

      Test method for `Model.setNamespace(org.eclipse.rdf4j.model.Namespace)`.

    - #### testRemoveNamespaceEmpty

          @Test
          public final void testRemoveNamespaceEmpty()

      Test method for `Model.removeNamespace(java.lang.String)`.

    - #### testRemoveNamespaceSingle

          @Test
          public final void testRemoveNamespaceSingle()

      Test method for `Model.removeNamespace(java.lang.String)`.

    - #### testRemoveNamespaceMultiple

          @Test
          public final void testRemoveNamespaceMultiple()

      Test method for `Model.removeNamespace(java.lang.String)`.